Index: DefaultJTopologyPlanPropertiesView.xml
===================================================================
--- DefaultJTopologyPlanPropertiesView.xml	(revision 726)
+++ DefaultJTopologyPlanPropertiesView.xml	(revision 727)
@@ -24,7 +24,7 @@
     </at>
     <at name="componentclass">com.jeta.forms.gui.form.FormComponent</at>
    </super>
-   <at name="id">/home/jjdelcerro/datos/devel/prototipo-topologia/org.gvsig.topology/org.gvsig.topology.swing/org.gvsig.topology.swing.impl/src/main/java/org/gvsig/topology/swing/impl/DefaultJTopologyPlanPropertiesView.xml</at>
+   <at name="id">/home/jjdelcerro/datos/devel/org.gvsig.topology/org.gvsig.topology.swing/org.gvsig.topology.swing.impl/src/main/java/org/gvsig/topology/swing/impl/DefaultJTopologyPlanPropertiesView.xml</at>
    <at name="rowspecs">CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,FILL:DEFAULT:GROW(1.0),CENTER:2DLU:NONE</at>
    <at name="colspecs">FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:GROW(1.0),FILL:4DLU:NONE</at>
    <at name="components">
@@ -222,7 +222,7 @@
                       </at>
                       <at name="componentclass">com.jeta.forms.gui.form.FormComponent</at>
                      </super>
-                     <at name="id">embedded.1535098908</at>
+                     <at name="id">embedded.536063130</at>
                      <at name="rowspecs">CENTER:2DLU:NONE,FILL:DEFAULT:GROW(1.0),CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE</at>
                      <at name="colspecs">FILL:4DLU:NONE,FILL:DEFAULT:GROW(1.0),FILL:4DLU:NONE</at>
                      <at name="components">
@@ -332,7 +332,7 @@
                            </at>
                            <at name="componentclass">com.jeta.forms.gui.form.FormComponent</at>
                           </super>
-                          <at name="id">embedded.963242669</at>
+                          <at name="id">embedded.535055035</at>
                           <at name="rowspecs">CENTER:DEFAULT:NONE</at>
                           <at name="colspecs">FILL:8DLU:GROW(1.0),FILL:DEFAULT:NONE,FILL:DEFAULT:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE</at>
                           <at name="components">
@@ -388,8 +388,8 @@
                                    <at name="icon">
                                     <object classname="com.jeta.forms.store.properties.IconProperty">
                                      <at name="embedded">false</at>
-                                     <at name="path">org/gvsig/topology/swing/impl/images/dataset_add.png</at>
-                                     <at name="description">dataset_add.png</at>
+                                     <at name="path">org/gvsig/topology/swing/impl/images/topology-plan-dataset-add.png</at>
+                                     <at name="description">topology-plan-dataset-add.png</at>
                                      <at name="width">16</at>
                                      <at name="height">16</at>
                                     </object>
@@ -456,8 +456,8 @@
                                    <at name="icon">
                                     <object classname="com.jeta.forms.store.properties.IconProperty">
                                      <at name="embedded">false</at>
-                                     <at name="path">org/gvsig/topology/swing/impl/images/dataset_remove.png</at>
-                                     <at name="description">dataset_remove.png</at>
+                                     <at name="path">org/gvsig/topology/swing/impl/images/topology-plan-dataset-remove.png</at>
+                                     <at name="description">topology-plan-dataset-remove.png</at>
                                      <at name="width">16</at>
                                      <at name="height">16</at>
                                     </object>
@@ -679,7 +679,7 @@
                       </at>
                       <at name="componentclass">com.jeta.forms.gui.form.FormComponent</at>
                      </super>
-                     <at name="id">embedded.2016354724</at>
+                     <at name="id">embedded.586608407</at>
                      <at name="rowspecs">CENTER:2DLU:NONE,FILL:DEFAULT:GROW(1.0),CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE</at>
                      <at name="colspecs">FILL:4DLU:NONE,FILL:DEFAULT:GROW(1.0),FILL:4DLU:NONE</at>
                      <at name="components">
@@ -789,9 +789,9 @@
                            </at>
                            <at name="componentclass">com.jeta.forms.gui.form.FormComponent</at>
                           </super>
-                          <at name="id">embedded.877338052</at>
+                          <at name="id">embedded.82125976</at>
                           <at name="rowspecs">CENTER:DEFAULT:NONE</at>
-                          <at name="colspecs">FILL:DEFAULT:GROW(1.0),FILL:DEFAULT:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE</at>
+                          <at name="colspecs">FILL:DEFAULT:GROW(1.0),FILL:DEFAULT:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE</at>
                           <at name="components">
                            <object classname="java.util.LinkedList">
                             <item >
@@ -800,7 +800,7 @@
                                <super classname="com.jeta.forms.store.memento.ComponentMemento">
                                 <at name="cellconstraints">
                                  <object classname="com.jeta.forms.store.memento.CellConstraintsMemento">
-                                  <at name="column">5</at>
+                                  <at name="column">7</at>
                                   <at name="row">1</at>
                                   <at name="colspan">1</at>
                                   <at name="rowspan">1</at>
@@ -845,8 +845,8 @@
                                    <at name="icon">
                                     <object classname="com.jeta.forms.store.properties.IconProperty">
                                      <at name="embedded">false</at>
-                                     <at name="path">org/gvsig/topology/swing/impl/images/rule_add.png</at>
-                                     <at name="description">rule_add.png</at>
+                                     <at name="path">org/gvsig/topology/swing/impl/images/topology-plan-rule-add.png</at>
+                                     <at name="description">topology-plan-rule-add.png</at>
                                      <at name="width">16</at>
                                      <at name="height">16</at>
                                     </object>
@@ -913,8 +913,8 @@
                                    <at name="icon">
                                     <object classname="com.jeta.forms.store.properties.IconProperty">
                                      <at name="embedded">false</at>
-                                     <at name="path">org/gvsig/topology/swing/impl/images/rule_remove.png</at>
-                                     <at name="description">rule_remove.png</at>
+                                     <at name="path">org/gvsig/topology/swing/impl/images/topology-plan-rule-remove.png</at>
+                                     <at name="description">topology-plan-rule-remove.png</at>
                                      <at name="width">16</at>
                                      <at name="height">16</at>
                                     </object>
@@ -930,6 +930,74 @@
                               </object>
                              </at>
                             </item>
+                            <item >
+                             <at name="value">
+                              <object classname="com.jeta.forms.store.memento.BeanMemento">
+                               <super classname="com.jeta.forms.store.memento.ComponentMemento">
+                                <at name="cellconstraints">
+                                 <object classname="com.jeta.forms.store.memento.CellConstraintsMemento">
+                                  <at name="column">5</at>
+                                  <at name="row">1</at>
+                                  <at name="colspan">1</at>
+                                  <at name="rowspan">1</at>
+                                  <at name="halign">default</at>
+                                  <at name="valign">default</at>
+                                  <at name="insets" object="insets">0,0,0,0</at>
+                                 </object>
+                                </at>
+                                <at name="componentclass">com.jeta.forms.gui.form.StandardComponent</at>
+                               </super>
+                               <at name="jetabeanclass">com.jeta.forms.gui.beans.JETABean</at>
+                               <at name="beanclass">javax.swing.JButton</at>
+                               <at name="beanproperties">
+                                <object classname="com.jeta.forms.store.memento.PropertiesMemento">
+                                 <at name="classname">javax.swing.JButton</at>
+                                 <at name="properties">
+                                  <object classname="com.jeta.forms.store.support.PropertyMap">
+                                   <at name="border">
+                                    <object classname="com.jeta.forms.store.properties.CompoundBorderProperty">
+                                     <super classname="com.jeta.forms.store.properties.BorderProperty">
+                                      <at name="name">border</at>
+                                     </super>
+                                     <at name="borders">
+                                      <object classname="java.util.LinkedList">
+                                       <item >
+                                        <at name="value">
+                                         <object classname="com.jeta.forms.store.properties.EmptyBorderProperty">
+                                          <super classname="com.jeta.forms.store.properties.BorderProperty">
+                                           <at name="name">border</at>
+                                          </super>
+                                          <at name="top">2</at>
+                                          <at name="left">2</at>
+                                          <at name="bottom">2</at>
+                                          <at name="right">2</at>
+                                         </object>
+                                        </at>
+                                       </item>
+                                      </object>
+                                     </at>
+                                    </object>
+                                   </at>
+                                   <at name="icon">
+                                    <object classname="com.jeta.forms.store.properties.IconProperty">
+                                     <at name="embedded">false</at>
+                                     <at name="path">org/gvsig/topology/swing/impl/images/topology-plan-rule-edit.png</at>
+                                     <at name="description">topology-plan-rule-edit.png</at>
+                                     <at name="width">16</at>
+                                     <at name="height">16</at>
+                                    </object>
+                                   </at>
+                                   <at name="name">btnEditRule</at>
+                                   <at name="width">20</at>
+                                   <at name="toolTipText">_Edit_rule</at>
+                                   <at name="height">20</at>
+                                  </object>
+                                 </at>
+                                </object>
+                               </at>
+                              </object>
+                             </at>
+                            </item>
                            </object>
                           </at>
                           <at name="properties">
@@ -989,7 +1057,7 @@
                             <at name="rows">
                              <object classname="[Ljava.lang.Object;" size="1">
                               <at name="item" index="0">
-                               <object classname="[Ljava.lang.Object;" size="5"/>
+                               <object classname="[Ljava.lang.Object;" size="7"/>
                               </at>
                              </object>
                             </at>