Index: DefaultJTopologyReportView.java
===================================================================
--- DefaultJTopologyReportView.java	(revision 726)
+++ DefaultJTopologyReportView.java	(revision 727)
@@ -29,17 +29,21 @@
    JLabel lblShow = new JLabel();
    JComboBox cboRules = new JComboBox();
    JToggleButton btnVisibleExtentOnly = new JToggleButton();
-   JButton btnZoom = new JButton();
-   JButton btnCenter = new JButton();
+   JButton btnZoomGeometry = new JButton();
    JButton btnActions = new JButton();
    JButton btnRefresh = new JButton();
    JToggleButton btnShowErrors = new JToggleButton();
    JToggleButton btnShowExceptions = new JToggleButton();
+   JToggleButton btnShowForm = new JToggleButton();
+   JButton btnCenterError = new JButton();
+   JButton btnCenterGeometry = new JButton();
+   JButton btnZoomError = new JButton();
+   JButton btnEraseErrorMarks = new JButton();
    JPanel pnlParameters = new JPanel();
+   JLabel lblActionDescription = new JLabel();
+   JLabel lblActionTitle = new JLabel();
    JButton btnParametersCancel = new JButton();
    JButton btnParametersAccept = new JButton();
-   JLabel lblActionDescription = new JLabel();
-   JLabel lblActionTitle = new JLabel();
    JLabel lblTaskStatusMessage = new JLabel();
    JProgressBar pbTaskStatusProgress = new JProgressBar();
    JButton btnTaskStatusCancel = new JButton();
@@ -171,7 +175,7 @@
    public JPanel createPanel2()
    {
       JPanel jpanel1 = new JPanel();
-      FormLayout formlayout1 = new FormLayout("FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:GROW(1.0),FILL:DEFAULT:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:DEFAULT:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:DEFAULT:NONE,FILL:DEFAULT:NONE","CENTER:DEFAULT:NONE");
+      FormLayout formlayout1 = new FormLayout("FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:GROW(1.0),FILL:DEFAULT:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:DEFAULT:NONE,FILL:DEFAULT:NONE,FILL:DEFAULT:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:8DLU:NONE,FILL:DEFAULT:NONE,FILL:8DLU:NONE,FILL:DEFAULT:NONE,FILL:DEFAULT:NONE,FILL:DEFAULT:NONE","CENTER:DEFAULT:NONE");
       CellConstraints cc = new CellConstraints();
       jpanel1.setLayout(formlayout1);
 
@@ -182,56 +186,84 @@
       cboRules.setName("cboRules");
       jpanel1.add(cboRules,cc.xy(3,1));
 
-      btnVisibleExtentOnly.setIcon(loadImage("org/gvsig/topology/swing/impl/images/visible_extent.png"));
+      btnVisibleExtentOnly.setIcon(loadImage("org/gvsig/topology/swing/impl/images/topology-report-filter-visible-extent.png"));
       btnVisibleExtentOnly.setName("btnVisibleExtentOnly");
       btnVisibleExtentOnly.setToolTipText("_Show_only_in_visible_extent");
       EmptyBorder emptyborder1 = new EmptyBorder(2,2,2,2);
       btnVisibleExtentOnly.setBorder(emptyborder1);
       jpanel1.add(btnVisibleExtentOnly,cc.xy(9,1));
 
-      btnZoom.setIcon(loadImage("org/gvsig/topology/swing/impl/images/zoom.png"));
-      btnZoom.setName("btnZoom");
-      btnZoom.setToolTipText("_Zoom");
+      btnZoomGeometry.setIcon(loadImage("org/gvsig/topology/swing/impl/images/topology-report-zoom-geometry.png"));
+      btnZoomGeometry.setName("btnZoomGeometry");
+      btnZoomGeometry.setToolTipText("_Zoom");
       EmptyBorder emptyborder2 = new EmptyBorder(2,2,2,2);
-      btnZoom.setBorder(emptyborder2);
-      jpanel1.add(btnZoom,cc.xy(11,1));
+      btnZoomGeometry.setBorder(emptyborder2);
+      jpanel1.add(btnZoomGeometry,cc.xy(13,1));
 
-      btnCenter.setIcon(loadImage("org/gvsig/topology/swing/impl/images/center_view.png"));
-      btnCenter.setName("btnCenter");
-      btnCenter.setToolTipText("_Center");
-      EmptyBorder emptyborder3 = new EmptyBorder(2,2,2,2);
-      btnCenter.setBorder(emptyborder3);
-      jpanel1.add(btnCenter,cc.xy(13,1));
-
-      btnActions.setIcon(loadImage("org/gvsig/topology/swing/impl/images/show_actions.png"));
+      btnActions.setIcon(loadImage("org/gvsig/topology/swing/impl/images/topology-report-actions.png"));
       btnActions.setName("btnActions");
       btnActions.setToolTipText("_Actions");
-      EmptyBorder emptyborder4 = new EmptyBorder(2,2,2,2);
-      btnActions.setBorder(emptyborder4);
-      jpanel1.add(btnActions,cc.xy(15,1));
+      EmptyBorder emptyborder3 = new EmptyBorder(2,2,2,2);
+      btnActions.setBorder(emptyborder3);
+      jpanel1.add(btnActions,cc.xy(23,1));
 
-      btnRefresh.setIcon(loadImage("org/gvsig/topology/swing/impl/images/refresh.png"));
+      btnRefresh.setIcon(loadImage("org/gvsig/topology/swing/impl/images/topology-report-refresh.png"));
       btnRefresh.setName("btnRefresh");
       btnRefresh.setToolTipText("_Update");
-      EmptyBorder emptyborder5 = new EmptyBorder(2,2,2,2);
-      btnRefresh.setBorder(emptyborder5);
-      jpanel1.add(btnRefresh,cc.xy(17,1));
+      EmptyBorder emptyborder4 = new EmptyBorder(2,2,2,2);
+      btnRefresh.setBorder(emptyborder4);
+      jpanel1.add(btnRefresh,cc.xy(25,1));
 
-      btnShowErrors.setIcon(loadImage("org/gvsig/topology/swing/impl/images/show_errors.png"));
+      btnShowErrors.setIcon(loadImage("org/gvsig/topology/swing/impl/images/topology-report-filter-errors.png"));
       btnShowErrors.setName("btnShowErrors");
-      btnShowErrors.setToolTipText("_Show_only_in_visible_extent");
-      EmptyBorder emptyborder6 = new EmptyBorder(2,2,2,2);
-      btnShowErrors.setBorder(emptyborder6);
+      btnShowErrors.setToolTipText("_Show_errors");
+      EmptyBorder emptyborder5 = new EmptyBorder(2,2,2,2);
+      btnShowErrors.setBorder(emptyborder5);
       jpanel1.add(btnShowErrors,cc.xy(5,1));
 
-      btnShowExceptions.setIcon(loadImage("org/gvsig/topology/swing/impl/images/show_exceptions.png"));
+      btnShowExceptions.setIcon(loadImage("org/gvsig/topology/swing/impl/images/topology-report-filter-exceptions.png"));
       btnShowExceptions.setName("btnShowExceptions");
-      btnShowExceptions.setToolTipText("_Show_only_in_visible_extent");
-      EmptyBorder emptyborder7 = new EmptyBorder(2,2,2,2);
-      btnShowExceptions.setBorder(emptyborder7);
+      btnShowExceptions.setToolTipText("_Show_exceptions");
+      EmptyBorder emptyborder6 = new EmptyBorder(2,2,2,2);
+      btnShowExceptions.setBorder(emptyborder6);
       jpanel1.add(btnShowExceptions,cc.xy(7,1));
 
-      addFillComponents(jpanel1,new int[]{ 2,4,6,8,10,12,14,16 },new int[0]);
+      btnShowForm.setIcon(loadImage("org/gvsig/topology/swing/impl/images/topology-report-show-form.png"));
+      btnShowForm.setName("btnShowForm");
+      btnShowForm.setToolTipText("_Show_form_when_modify_geometry");
+      EmptyBorder emptyborder7 = new EmptyBorder(2,2,2,2);
+      btnShowForm.setBorder(emptyborder7);
+      jpanel1.add(btnShowForm,cc.xy(11,1));
+
+      btnCenterError.setIcon(loadImage("org/gvsig/topology/swing/impl/images/topology-report-center-error.png"));
+      btnCenterError.setName("btnCenterError");
+      btnCenterError.setToolTipText("_Center_error");
+      EmptyBorder emptyborder8 = new EmptyBorder(2,2,2,2);
+      btnCenterError.setBorder(emptyborder8);
+      jpanel1.add(btnCenterError,cc.xy(19,1));
+
+      btnCenterGeometry.setIcon(loadImage("org/gvsig/topology/swing/impl/images/topology-report-center-geometry.png"));
+      btnCenterGeometry.setName("btnCenterGeometry");
+      btnCenterGeometry.setToolTipText("_Center_geometry");
+      EmptyBorder emptyborder9 = new EmptyBorder(2,2,2,2);
+      btnCenterGeometry.setBorder(emptyborder9);
+      jpanel1.add(btnCenterGeometry,cc.xy(15,1));
+
+      btnZoomError.setIcon(loadImage("org/gvsig/topology/swing/impl/images/topology-report-zoom-error.png"));
+      btnZoomError.setName("btnZoomError");
+      btnZoomError.setToolTipText("_Zoom");
+      EmptyBorder emptyborder10 = new EmptyBorder(2,2,2,2);
+      btnZoomError.setBorder(emptyborder10);
+      jpanel1.add(btnZoomError,cc.xy(17,1));
+
+      btnEraseErrorMarks.setIcon(loadImage("org/gvsig/topology/swing/impl/images/topology-report-erase-errors.png"));
+      btnEraseErrorMarks.setName("btnEraseErrorMarks");
+      btnEraseErrorMarks.setToolTipText("_Erase_error_marks");
+      EmptyBorder emptyborder11 = new EmptyBorder(2,2,2,2);
+      btnEraseErrorMarks.setBorder(emptyborder11);
+      jpanel1.add(btnEraseErrorMarks,cc.xy(21,1));
+
+      addFillComponents(jpanel1,new int[]{ 2,4,6,8,10,12,14,16,18,20,22,24 },new int[0]);
       return jpanel1;
    }
 
@@ -245,13 +277,13 @@
       pnlParameters.setName("pnlParameters");
       jpanel1.add(pnlParameters,cc.xy(2,6));
 
-      jpanel1.add(createPanel4(),cc.xy(2,8));
       lblActionDescription.setName("lblActionDescription");
       jpanel1.add(lblActionDescription,cc.xy(2,4));
 
       lblActionTitle.setName("lblActionTitle");
       jpanel1.add(lblActionTitle,cc.xy(2,2));
 
+      jpanel1.add(createPanel4(),cc.xy(2,8));
       addFillComponents(jpanel1,new int[]{ 1,2,3 },new int[]{ 1,2,3,4,5,6,7,8,9 });
       return jpanel1;
    }