Index: org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.swing/org.gvsig.topology.swing.impl/src/main/java/org/gvsig/topology/swing/impl/CreateRuleDialog.java
===================================================================
--- org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.swing/org.gvsig.topology.swing.impl/src/main/java/org/gvsig/topology/swing/impl/CreateRuleDialog.java	(revision 727)
+++ org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.swing/org.gvsig.topology.swing.impl/src/main/java/org/gvsig/topology/swing/impl/CreateRuleDialog.java	(revision 728)
@@ -12,6 +12,7 @@
 import java.util.Objects;
 import javax.swing.DefaultComboBoxModel;
 import javax.swing.DefaultListCellRenderer;
+import javax.swing.Icon;
 import javax.swing.ImageIcon;
 import javax.swing.JLabel;
 import javax.swing.JList;
@@ -44,9 +45,12 @@
 
     private class DataSetListCellRenderer extends DefaultListCellRenderer {
 
-        private ImageIcon pointIcon;
-        private ImageIcon lineIcon;
-        private ImageIcon polygonIcon;
+        private Icon pointIcon;
+        private Icon lineIcon;
+        private Icon polygonIcon;
+        private Icon multipolygonIcon;
+        private Icon multilineIcon;
+        private Icon multipointIcon;
 
         public DataSetListCellRenderer() {
             IconTheme iconTheme = ToolsSwingLocator.getIconThemeManager().getCurrent();
@@ -59,6 +63,15 @@
             if( iconTheme.exists("layer-type-polygon") ) {
                 this.polygonIcon = iconTheme.get("layer-type-polygon");
             }
+            if( iconTheme.exists("layer-type-multipoint") ) {
+                this.multipointIcon = iconTheme.get("layer-type-multipoint");
+            }
+            if( iconTheme.exists("layer-type-multiline") ) {
+                this.multilineIcon = iconTheme.get("layer-type-multiline");
+            }
+            if( iconTheme.exists("layer-type-multipolygon") ) {
+                this.multipolygonIcon = iconTheme.get("layer-type-multipolygon");
+            }
         }
         
         @Override
@@ -73,10 +86,16 @@
                         int geomtype = ((FeatureStore) store).getDefaultFeatureType().getDefaultGeometryAttribute().getGeomType().getType();
                         if( GeometryUtils.isSubtype(Geometry.TYPES.POINT, geomtype) ) {
                             this.setIcon(this.pointIcon);
+                        } else if( GeometryUtils.isSubtype(Geometry.TYPES.CURVE, geomtype) ) {
+                            this.setIcon(this.lineIcon);
                         } else if( GeometryUtils.isSubtype(Geometry.TYPES.SURFACE, geomtype) ) {
                             this.setIcon(this.polygonIcon);
-                        } else if( GeometryUtils.isSubtype(Geometry.TYPES.CURVE, geomtype) ) {
-                            this.setIcon(this.lineIcon);
+                        } else if( GeometryUtils.isSubtype(Geometry.TYPES.MULTIPOINT, geomtype) ) {
+                            this.setIcon(this.multipointIcon);
+                        } else if( GeometryUtils.isSubtype(Geometry.TYPES.MULTICURVE, geomtype) ) {
+                            this.setIcon(this.multilineIcon);
+                        } else if( GeometryUtils.isSubtype(Geometry.TYPES.MULTISURFACE, geomtype) ) {
+                            this.setIcon(this.multipolygonIcon);
                         }
                     } catch (DataException ex) {
                     }
@@ -113,8 +132,8 @@
                 performDataSet1Selected();
             }
         });
-//        this.cboDataSet1.setRenderer(new DataSetListCellRenderer());
-//        this.cboDataSet2.setRenderer(new DataSetListCellRenderer());
+        this.cboDataSet1.setRenderer(new DataSetListCellRenderer());
+        this.cboDataSet2.setRenderer(new DataSetListCellRenderer());
         this.cboRule.addItemListener(new ItemListener() {
             @Override
             public void itemStateChanged(ItemEvent e) {
Index: org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.swing/org.gvsig.topology.swing.impl/src/main/java/org/gvsig/topology/swing/impl/TopologySwingImplLibrary.java
===================================================================
--- org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.swing/org.gvsig.topology.swing.impl/src/main/java/org/gvsig/topology/swing/impl/TopologySwingImplLibrary.java	(revision 727)
+++ org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.swing/org.gvsig.topology.swing.impl/src/main/java/org/gvsig/topology/swing/impl/TopologySwingImplLibrary.java	(revision 728)
@@ -61,11 +61,14 @@
         String[][] iconNames = new String[][] {
             new String[] { "layertypes", "layer-type-point" },
             new String[] { "layertypes", "layer-type-line" },
-            new String[] { "layertypes", "layer-type-polygon" }
+            new String[] { "layertypes", "layer-type-polygon" },
+            new String[] { "layertypes", "layer-type-multipoint" },
+            new String[] { "layertypes", "layer-type-multiline" },
+            new String[] { "layertypes", "layer-type-multipolygon" }
         };
         IconTheme theme = ToolsSwingLocator.getIconThemeManager().getCurrent();
         for (String[] icon : iconNames) {
-            URL url = this.getClass().getResource("images/layertypes"+icon[1]+".png");
+            URL url = this.getClass().getResource("images/layertypes/"+icon[1]+".png");
             theme.registerDefault("topology", icon[0], icon[1], null, url);
         }
     }
Index: org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.swing/org.gvsig.topology.swing.impl/src/main/java/org/gvsig/topology/swing/impl/SelectDataSetDialog.java
===================================================================
--- org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.swing/org.gvsig.topology.swing.impl/src/main/java/org/gvsig/topology/swing/impl/SelectDataSetDialog.java	(revision 727)
+++ org.gvsig.topology/trunk/org.gvsig.topology/org.gvsig.topology.swing/org.gvsig.topology.swing.impl/src/main/java/org/gvsig/topology/swing/impl/SelectDataSetDialog.java	(revision 728)
@@ -55,14 +55,14 @@
                 return label;
             }
         });
-        this.treeDataSets.addMouseListener(new MouseAdapter() {
-            @Override
-            public void mouseClicked(MouseEvent e) {
-                if( e.getButton()==MouseEvent.BUTTON1 && e.getClickCount()==2 ) {
-                    setVisible(false);
-                }
-            }
-        });
+//        this.treeDataSets.addMouseListener(new MouseAdapter() {
+//            @Override
+//            public void mouseClicked(MouseEvent e) {
+//                if( e.getButton()==MouseEvent.BUTTON1 && e.getClickCount()==2 ) {
+//                    setVisible(false);
+//                }
+//            }
+//        });
         this.setPreferredSize(new Dimension(350, 400));
         this.translate();
     }